Bug 210346 - nfs-utils-1.0.9-mount-options-v3.patch breaks -o remount
nfs-utils-1.0.9-mount-options-v3.patch breaks -o remount
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks: 211565
  Show dependency treegraph
 
Reported: 2006-10-11 12:58 EDT by Pierre Ossman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.0.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 09:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2006-10-11 12:58:47 EDT
The nfs-utils-1.0.9-mount-options-v3.patch does a couple of silly things with
MS_REMOUNT that are utterly broken.

1.

In add_mtab() it invokes copy_mntent() without allocating storage for the
strings, causing a SIGSEGV.

2.

In main() it avoids calling the syscall, effectively turning the mount command
into a no-op.

Please remove this patch or fix it ASAP.
Comment 1 Steve Dickson 2006-12-11 13:46:26 EST
Fixed in 1.0.10-1
Comment 2 Pierre Ossman 2007-01-22 14:25:54 EST
Works nicely. Thanks.

Note You need to log in before you can comment on or make changes to this bug.